package net.javase.db.test;

import net.javase.db.annotation.Entity;
import net.javase.db.annotation.Id;

import java.util.Date;

/**
 * BankAccount
 * @author frank
 */
@Entity
public class BankAccount {

    @Id
    private int id;

    private String username;

    private String realName;

    private String password;

    private String optPassword;

    private String balance;

    private Date createTime;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getOptPassword() {
        return optPassword;
    }

    public void setOptPassword(String optPassword) {
        this.optPassword = optPassword;
    }

    public String getBalance() {
        return balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
