package net.javase.db.test;

import net.javase.db.utils.DbUtil;

import java.util.List;

import org.junit.Test;

/**
 * MainTest
 *
 * @author Frank
 */
public class DbUtilTest {

    @Test
    public void testCreateTableSql() {
        System.out.println(DbUtil.createSchemaSql(BankAccount.class, true));
        System.out.println("\n");
        System.out.println(DbUtil.createSchemaSql(BankAccountLog.class, true));
    }

    @Test
    public void testQueryList() {
        List<Product> list = DbUtil.selectList(Product.class, "select * from sys_product");
        list.forEach(item -> System.out.println(item));
    }
}
